/**
 * System: 
 * Class <code>System</code> is an abstract class that contains the NOOL 
 * basic functions.  <code>System</code> can't be refered, method are 
 * directly accessed in the code.
 @since First release
*/
public class System extends TObject
{
    /**
     * Returns the result of the bool operation.
     @param bool0 The first boolean.
     @param operand The operand used. (options: and, or, xor)
     @param bool1 The second boolean.
     @return result: True if result is true.
     @since First release
    */
    public static boolean bool (boolean boolean0, String operand, boolean boolean1) {return false;}
    
    /**
     * Is Object On: 
     * Checks if a visual component is over another.
     @param component0 The first component.
     @param component1 The second component.
     @return result: True if component0 is over component1.
     @since First release
    */
    public static boolean isObjOn (TVCpn component0, TVCpn component1) {return false;}
    
    /**
     * Saves a part of the screen.
     @param x0 The top left corner x.
     @param y0 The top left corner y.
     @param x1 The down right corner x.
     @param y1 The down right corner y.
     @param imageFile The name of the image file.
     @since First release
    */
    public void savepic (int x0, int y0, int x1, int y1, String imageFile) {}
    
    /**
     * Draws a part of the screen.
     @param x0 The top left corner x.
     @param y0 The top left corner y.
     @param mode The mode of drawing. (options: 0(inverted), 1(superposition), 2('xor'), 3(erase), 4(replace), 6('and'))
     @param imageFile The name of the image file.
     @since First release
    */
    public void sprite (int x0, int y0, int mode, String imageFile) {}
    
    /**
     * Checks which component is over another.
     @param component0 The first component.
     @param component1 The second component.
     @return result: component0 if it is over component1.
     @since First release
    */
    public TVCpn wObjOn (TVCpn component0, TVCpn component1) {return (new TVCpn());}
}